.section {
    height: 100%;
}

article {
    height: 100%;
}

.wrapper-gral {
    height: 100%;
}

@media (max-width:768px) {
    .wrapper-gral {
        display: flex;
        flex-direction: column;
        align-items: center;
    }
}

@media (max-width:768px) {
    .wrapper-span {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }
}

.wrapper-content_page404 {
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 1rem;
    margin-left: 1.5rem;
    text-align: center;
    align-content: center;
    align-items: center;
}

@media (max-width:768px) {
    .wrapper-content_page404 {
        margin-left: 0rem;
        text-align: center;
    }
}

.wrapper-content_page404 > h3 {
    color: var(--brand-black);
    font-family: var(--font-family-0-regular);
    font-size: 2.22222rem;
    font-style: normal;
    font-weight: 700;
    line-height: 2.77778rem;
    text-transform: uppercase;
    margin-bottom: 0rem;
}

@media (max-width:768px) {
    .wrapper-content_page404 > h3 {
        font-size: 1.33333rem;
        line-height: 1.77778rem;
    }
}

.paragraph_1 {
    color: var(--brand-black);
    text-align: left;
    font-family: var(--font-family-0-regular);
    font-size: 1rem;
    font-style: normal;
    /*font-weight: bold;*/
    line-height: 1.44444rem;
}

.paragraph_2 {
    color: var(--brand-black);
    text-align: left;
    font-family: var(--font-family-0-regular);
    font-size: 1rem;
    font-style: normal;
    font-weight: 400;
    line-height: 1.44444rem;
}

@media (max-width:768px) {

    .paragraph_1 {
        text-align: center;
        font-size: 0.88889rem;
        line-height: 1.22222rem;
    }

    .paragraph_2 {
        text-align: center;
        font-size: 0.88889rem;
        line-height: 1.22222rem;
    }
}

.link_back_page404 {
    text-decoration: none;
    color: var(--brand);
    font-family: var(--font-family-0-regular);
    font-size: 20px;
    font-weight: 700;
    max-width: 480px;
    width: 100%;
    height: 3.75rem;
}

.error_banner {
    height: 100%;
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    overflow: hidden;
}

.error_banner__banner-content {
    position: absolute;
    top: 0;
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding: 0 5rem;
    color: var(--brand-white);
    z-index: 2;
}

    .error_banner__banner-content > h1 {
        font-family: var(--font-family-0-bold);
        font-size: var(--title-1);
        font-weight: var(--weight-bolder);
        color: var(--brand-white);
        margin-bottom: 1.25rem;
    }

    .error_banner__banner-content > p {
        font-family: var(--font-family-1-1);
        font-size: var(--paragraph-1);
        font-weight: var(--weight-normal);
        margin-bottom: 1.25rem;
    }

.error_banner__image {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
}

@media (max-width: 592px) {
    .error_banner__banner-content > h1 {
        font-family: var(--font-family-0-bold);
        font-size: var(--title-4);
        font-weight: var(--weight-bolder);
        text-transform: uppercase;
        color: var(--brand-white);
    }
}

.link_back_page404 {
    font-family: inherit;
    font-size: 1rem;
    padding: 0.5rem 1rem;
    border-radius: var(--button-border-radius);
    border: none;
    cursor: pointer;
    transition: background-color 0.3s ease, color 0.3s ease, border-color 0.3s ease;
    display: block;
}

.button-container {
    display: flex;
    flex-direction: column;
    gap: 1.25rem;
    align-items: flex-start;
    justify-content: flex-start;
}

@media (max-width:768px) {
    .link_back_page404 {
        font-size: 1.25rem;
        height: 3rem;
        padding: 0.5rem 2rem;
    }

    .error_banner__banner-content > h1 {
        margin-bottom: 2.188rem;
        text-align: center;
        font-size: var(--title-30);
    }

    .error_banner__banner-content {
        padding: 0 2rem;
    }

    .button-container {
        align-items: center;
        justify-content: center;
        flex-direction: row;
        gap: 0.75rem;
    }

    .error_banner__banner-content > p {
        font-size: var(--paragraph-2);
        margin-bottom: 2.188rem;
        text-align: center;
    }

    .error_banner__image {
        min-height: 90vh;
    }
}